Changeset 1965


Ignore:
Timestamp:
Jun 27, 2013 3:28:19 PM (6 years ago)
Author:
tkr
Message:

Change to allow embedding of manifest

Location:
trunk/Clp
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/Makefile.in

    r1946 r1965  
    323323ac_ct_CXX = @ac_ct_CXX@
    324324ac_ct_F77 = @ac_ct_F77@
     325ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    325326ac_ct_RANLIB = @ac_ct_RANLIB@
    326327ac_ct_STRIP = @ac_ct_STRIP@
    327328ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    328 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    329329am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    330330am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Clp/configure

    r1946 r1965  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CLP_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINUTILS_LIBS COINUTILS_CFLAGS COINUTILS_DATA COINUTILS_DEPENDENCIES COINUTILS_LIBS_INSTALLED COINUTILS_CFLAGS_INSTALLED COINUTILS_DATA_INSTALLED CLPLIB_CFLAGS CLPLIB_LIBS CLPLIB_PCLIBS CLPLIB_PCREQUIRES CLPLIB_DEPENDENCIES CLPLIB_CFLAGS_INSTALLED CLPLIB_LIBS_INSTALLED COIN_HAS_COINUTILS_TRUE COIN_HAS_COINUTILS_FALSE OSI_LIBS OSI_CFLAGS OSI_DATA OSI_DEPENDENCIES OSI_LIBS_INSTALLED OSI_CFLAGS_INSTALLED OSI_DATA_INSTALLED OSICLPLIB_CFLAGS OSICLPLIB_LIBS OSICLPLIB_PCLIBS OSICLPLIB_PCREQUIRES OSICLPLIB_DEPENDENCIES OSICLPLIB_CFLAGS_INSTALLED OSICLPLIB_LIBS_INSTALLED COIN_HAS_OSI_TRUE COIN_HAS_OSI_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE COIN_HAS_ABC_TRUE COIN_HAS_ABC_FALSE AMDINCDIR AMDLIB COIN_HAS_AMD_TRUE COIN_HAS_AMD_FALSE CHOLMODINCDIR CHOLMODLIB COIN_HAS_CHOLMOD_TRUE COIN_HAS_CHOLMOD_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE MUMPS_LIBS MUMPS_CFLAGS MUMPS_DATA MUMPS_DEPENDENCIES MUMPS_LIBS_INSTALLED MUMPS_CFLAGS_INSTALLED MUMPS_DATA_INSTALLED COIN_HAS_MUMPS_TRUE COIN_HAS_MUMPS_FALSE ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS MPIF77 FLIBS BLAS_LIBS BLAS_CFLAGS BLAS_DATA BLAS_DEPENDENCIES BLAS_LIBS_INSTALLED BLAS_CFLAGS_INSTALLED BLAS_DATA_INSTALLED COIN_HAS_BLAS_TRUE COIN_HAS_BLAS_FALSE COIN_HAS_WSMP_TRUE COIN_HAS_WSMP_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    11031103                          icl/link). Default when mentioned: mingw. Default
    11041104                          when not mentioned: disabled.
     1105
    11051106  --enable-static[=PKGS]
    11061107                          build static libraries [default=no]
     
    17691770
    17701771
     1772
    17711773cat >>confdefs.h <<_ACEOF
    17721774#define CLP_VERSION "$PACKAGE_VERSION"
     
    18541856
    18551857
    1856 # Capture libtool library version, if given.
     1858 # Capture libtool library version, if given.
     1859
    18571860
    18581861
     
    19992002echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    20002003  fi
     2004
     2005
     2006# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     2007if test "${enable_static_standardlibs+set}" = set; then
     2008  enableval="$enable_static_standardlibs"
     2009  case "$enableval" in
     2010     no | yes | auto ) ;;
     2011     *)
     2012       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     2013echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     2014   { (exit 1); exit 1; }; } ;;
     2015   esac
     2016   use_static_standardlibs=$enableval
     2017else
     2018  use_static_standardlibs=no
     2019fi;
     2020
    20012021
    20022022
     
    29532973          clang* ) ;;
    29542974          cl* | */cl* | CL* | */CL*)
    2955             coin_opt_cflags='-MT -O2'
     2975            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2976              coin_opt_cflags='-MD -O2'
     2977              coin_dbg_cflags='-MDd'
     2978            else
     2979              coin_opt_cflags='-MT -O2'
     2980              coin_dbg_cflags='-MTd'
     2981            fi
    29562982            coin_add_cflags='-nologo -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    2957             coin_dbg_cflags='-MTd'
    29582983            ;;
    29592984          icl* | */icl* | ICL* | */ICL*)
    2960             coin_opt_cflags='-MT -Ox'
     2985            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     2986              coin_opt_cflags='-MD -Ox'
     2987              coin_dbg_cflags='-MDd -debug'
     2988            else
     2989              coin_opt_cflags='-MT -Ox'
     2990              coin_dbg_cflags='-MTd -debug'
     2991            fi
    29612992            coin_add_cflags='-nologo -D_CRT_SECURE_NO_DEPRECATE'
    2962             coin_dbg_cflags='-MTd -debug'
    29632993            ;;
    29642994        esac
     
    31253155    CFLAGS="$OPT_CFLAGS"
    31263156  fi
     3157
    31273158else
    31283159  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32933324esac
    32943325
     3326# check whether to add flags for static linking against standard libraries to LDFLAGS
     3327if test x$use_static_standardlibs != xno ; then
     3328  case $build in
     3329    *-mingw*)
     3330      static_standardlib_flag=-static
     3331      ;;
     3332    *)
     3333      static_standardlib_flag=-static-libgcc
     3334      ;;
     3335  esac
     3336  case " $LDFLAGS " in
     3337    *" $static_standardlib_flag "* ) ;;
     3338    *)
     3339    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3340echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3341    coin_save_LDFLAGS="$LDFLAGS"
     3342    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3343    cat >conftest.$ac_ext <<_ACEOF
     3344/* confdefs.h.  */
     3345_ACEOF
     3346cat confdefs.h >>conftest.$ac_ext
     3347cat >>conftest.$ac_ext <<_ACEOF
     3348/* end confdefs.h.  */
     3349
     3350int
     3351main ()
     3352{
     3353int i=0;
     3354  ;
     3355  return 0;
     3356}
     3357_ACEOF
     3358rm -f conftest.$ac_objext conftest$ac_exeext
     3359if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3360  (eval $ac_link) 2>conftest.er1
     3361  ac_status=$?
     3362  grep -v '^ *+' conftest.er1 >conftest.err
     3363  rm -f conftest.er1
     3364  cat conftest.err >&5
     3365  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3366  (exit $ac_status); } &&
     3367         { ac_try='test -z "$ac_c_werror_flag"
     3368                         || test ! -s conftest.err'
     3369  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3370  (eval $ac_try) 2>&5
     3371  ac_status=$?
     3372  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3373  (exit $ac_status); }; } &&
     3374         { ac_try='test -s conftest$ac_exeext'
     3375  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3376  (eval $ac_try) 2>&5
     3377  ac_status=$?
     3378  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3379  (exit $ac_status); }; }; then
     3380  echo "$as_me:$LINENO: result: yes" >&5
     3381echo "${ECHO_T}yes" >&6
     3382else
     3383  echo "$as_me: failed program was:" >&5
     3384sed 's/^/| /' conftest.$ac_ext >&5
     3385
     3386echo "$as_me:$LINENO: result: no" >&5
     3387echo "${ECHO_T}no" >&6
     3388       LDFLAGS="$coin_save_LDFLAGS"
     3389       if test $use_static_standardlibs = yes ; then
     3390         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3391echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3392   { (exit 1); exit 1; }; }
     3393       fi
     3394
     3395fi
     3396rm -f conftest.err conftest.$ac_objext \
     3397      conftest$ac_exeext conftest.$ac_ext
     3398    ;;
     3399  esac
     3400fi
     3401
    32953402ac_ext=c
    32963403ac_cpp='$CPP $CPPFLAGS'
     
    33023409
    33033410 #Let's try if that overcomes configuration problem with VC++ 6.0
     3411
    33043412
    33053413ac_ext=cc
     
    38934001          clang* ) ;;
    38944002          cl* | */cl* | CL* | */CL*)
    3895             # The MT and MTd options are mutually exclusive
    3896             coin_opt_cxxflags='-MT -O2'
     4003            # The MT and MTd options are mutually exclusive
     4004            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     4005               coin_opt_cxxflags='-MD -O2'
     4006               coin_dbg_cxxflags='-MDd'
     4007            else
     4008               coin_opt_cxxflags='-MT -O2'
     4009               coin_dbg_cxxflags='-MTd'
     4010            fi
    38974011            coin_add_cxxflags='-nologo -EHsc -GR -wd4996 -D_CRT_SECURE_NO_DEPRECATE'
    3898             coin_dbg_cxxflags='-MTd'
    38994012            ;;
    39004013          icl* | */icl* | ICL* | */ICL*)
    3901             # The MT and MTd options are mutually exclusive
    3902             coin_opt_cxxflags='-MT -Ox'
     4014          # The MT and MTd options are mutually exclusive
     4015            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     4016              coin_opt_cxxflags='-MD -Ox'
     4017              coin_dbg_cxxflags='-MDd -debug'
     4018            else
     4019              coin_opt_cxxflags='-MT -Ox'
     4020              coin_dbg_cxxflags='-MTd -debug'
     4021            fi
    39034022            coin_add_cxxflags='-nologo -EHsc -GR -D_CRT_SECURE_NO_DEPRECATE'
    3904             coin_dbg_cxxflags='-MTd -debug'
    39054023            ;;
    39064024        esac
     
    42414359esac
    42424360
     4361# check whether to add flag for static linking against standard libraries to LDFLAGS
     4362if test x$use_static_standardlibs != xno ; then
     4363  case $build in
     4364    *-mingw*)
     4365      static_standardlib_flag=-static
     4366      ;;
     4367    *)
     4368      static_standardlib_flag=-static-libstdc++
     4369      ;;
     4370  esac
     4371  case " $LDFLAGS " in
     4372    *" $static_standardlib_flag "* ) ;;
     4373    *)
     4374    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4375echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4376    coin_save_LDFLAGS="$LDFLAGS"
     4377    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4378    cat >conftest.$ac_ext <<_ACEOF
     4379/* confdefs.h.  */
     4380_ACEOF
     4381cat confdefs.h >>conftest.$ac_ext
     4382cat >>conftest.$ac_ext <<_ACEOF
     4383/* end confdefs.h.  */
     4384
     4385int
     4386main ()
     4387{
     4388int i=0;
     4389  ;
     4390  return 0;
     4391}
     4392_ACEOF
     4393rm -f conftest.$ac_objext conftest$ac_exeext
     4394if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4395  (eval $ac_link) 2>conftest.er1
     4396  ac_status=$?
     4397  grep -v '^ *+' conftest.er1 >conftest.err
     4398  rm -f conftest.er1
     4399  cat conftest.err >&5
     4400  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4401  (exit $ac_status); } &&
     4402         { ac_try='test -z "$ac_cxx_werror_flag"
     4403                         || test ! -s conftest.err'
     4404  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4405  (eval $ac_try) 2>&5
     4406  ac_status=$?
     4407  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4408  (exit $ac_status); }; } &&
     4409         { ac_try='test -s conftest$ac_exeext'
     4410  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4411  (eval $ac_try) 2>&5
     4412  ac_status=$?
     4413  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4414  (exit $ac_status); }; }; then
     4415  echo "$as_me:$LINENO: result: yes" >&5
     4416echo "${ECHO_T}yes" >&6
     4417else
     4418  echo "$as_me: failed program was:" >&5
     4419sed 's/^/| /' conftest.$ac_ext >&5
     4420
     4421echo "$as_me:$LINENO: result: no" >&5
     4422echo "${ECHO_T}no" >&6
     4423       LDFLAGS="$coin_save_LDFLAGS"
     4424       if test $use_static_standardlibs = yes ; then
     4425         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4426echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4427   { (exit 1); exit 1; }; }
     4428       fi
     4429
     4430fi
     4431rm -f conftest.err conftest.$ac_objext \
     4432      conftest$ac_exeext conftest.$ac_ext
     4433    ;;
     4434  esac
     4435fi
     4436
    42434437ac_ext=c
    42444438ac_cpp='$CPP $CPPFLAGS'
     
    42564450# START
    42574451
     4452coin_disable_shared=no
    42584453# Test if force_shared has been set
    42594454if test "x" = xforce_shared; then
     
    42914486    { echo "$as_me:$LINENO: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&5
    42924487echo "$as_me: WARNING: On $platform, shared objects are not supported. I'm disabling your choice." >&2;}
     4488  else
     4489    # we don't disable shared, because it was not selected anyway
     4490    coin_disable_shared=no
    42934491  fi
    42944492  enable_shared=no
     
    59976195*-*-irix6*)
    59986196  # Find out which ABI we are using.
    5999   echo '#line 5999 "configure"' > conftest.$ac_ext
     6197  echo '#line 6197 "configure"' > conftest.$ac_ext
    60006198  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60016199  (eval $ac_compile) 2>&5
     
    71317329
    71327330# Provide some information about the compiler.
    7133 echo "$as_me:7133:" \
     7331echo "$as_me:7331:" \
    71347332     "checking for Fortran 77 compiler version" >&5
    71357333ac_compiler=`set X $ac_compile; echo $2`
     
    81988396   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81998397   -e 's:$: $lt_compiler_flag:'`
    8200    (eval echo "\"\$as_me:8200: $lt_compile\"" >&5)
     8398   (eval echo "\"\$as_me:8398: $lt_compile\"" >&5)
    82018399   (eval "$lt_compile" 2>conftest.err)
    82028400   ac_status=$?
    82038401   cat conftest.err >&5
    8204    echo "$as_me:8204: \$? = $ac_status" >&5
     8402   echo "$as_me:8402: \$? = $ac_status" >&5
    82058403   if (exit $ac_status) && test -s "$ac_outfile"; then
    82068404     # The compiler can only warn and ignore the option if not recognized
     
    84668664   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84678665   -e 's:$: $lt_compiler_flag:'`
    8468    (eval echo "\"\$as_me:8468: $lt_compile\"" >&5)
     8666   (eval echo "\"\$as_me:8666: $lt_compile\"" >&5)
    84698667   (eval "$lt_compile" 2>conftest.err)
    84708668   ac_status=$?
    84718669   cat conftest.err >&5
    8472    echo "$as_me:8472: \$? = $ac_status" >&5
     8670   echo "$as_me:8670: \$? = $ac_status" >&5
    84738671   if (exit $ac_status) && test -s "$ac_outfile"; then
    84748672     # The compiler can only warn and ignore the option if not recognized
     
    85708768   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85718769   -e 's:$: $lt_compiler_flag:'`
    8572    (eval echo "\"\$as_me:8572: $lt_compile\"" >&5)
     8770   (eval echo "\"\$as_me:8770: $lt_compile\"" >&5)
    85738771   (eval "$lt_compile" 2>out/conftest.err)
    85748772   ac_status=$?
    85758773   cat out/conftest.err >&5
    8576    echo "$as_me:8576: \$? = $ac_status" >&5
     8774   echo "$as_me:8774: \$? = $ac_status" >&5
    85778775   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85788776   then
     
    1091511113  lt_status=$lt_dlunknown
    1091611114  cat > conftest.$ac_ext <<EOF
    10917 #line 10917 "configure"
     11115#line 11115 "configure"
    1091811116#include "confdefs.h"
    1091911117
     
    1101511213  lt_status=$lt_dlunknown
    1101611214  cat > conftest.$ac_ext <<EOF
    11017 #line 11017 "configure"
     11215#line 11215 "configure"
    1101811216#include "confdefs.h"
    1101911217
     
    1335913557   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1336013558   -e 's:$: $lt_compiler_flag:'`
    13361    (eval echo "\"\$as_me:13361: $lt_compile\"" >&5)
     13559   (eval echo "\"\$as_me:13559: $lt_compile\"" >&5)
    1336213560   (eval "$lt_compile" 2>conftest.err)
    1336313561   ac_status=$?
    1336413562   cat conftest.err >&5
    13365    echo "$as_me:13365: \$? = $ac_status" >&5
     13563   echo "$as_me:13563: \$? = $ac_status" >&5
    1336613564   if (exit $ac_status) && test -s "$ac_outfile"; then
    1336713565     # The compiler can only warn and ignore the option if not recognized
     
    1346313661   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1346413662   -e 's:$: $lt_compiler_flag:'`
    13465    (eval echo "\"\$as_me:13465: $lt_compile\"" >&5)
     13663   (eval echo "\"\$as_me:13663: $lt_compile\"" >&5)
    1346613664   (eval "$lt_compile" 2>out/conftest.err)
    1346713665   ac_status=$?
    1346813666   cat out/conftest.err >&5
    13469    echo "$as_me:13469: \$? = $ac_status" >&5
     13667   echo "$as_me:13667: \$? = $ac_status" >&5
    1347013668   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1347113669   then
     
    1503315231   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1503415232   -e 's:$: $lt_compiler_flag:'`
    15035    (eval echo "\"\$as_me:15035: $lt_compile\"" >&5)
     15233   (eval echo "\"\$as_me:15233: $lt_compile\"" >&5)
    1503615234   (eval "$lt_compile" 2>conftest.err)
    1503715235   ac_status=$?
    1503815236   cat conftest.err >&5
    15039    echo "$as_me:15039: \$? = $ac_status" >&5
     15237   echo "$as_me:15237: \$? = $ac_status" >&5
    1504015238   if (exit $ac_status) && test -s "$ac_outfile"; then
    1504115239     # The compiler can only warn and ignore the option if not recognized
     
    1513715335   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1513815336   -e 's:$: $lt_compiler_flag:'`
    15139    (eval echo "\"\$as_me:15139: $lt_compile\"" >&5)
     15337   (eval echo "\"\$as_me:15337: $lt_compile\"" >&5)
    1514015338   (eval "$lt_compile" 2>out/conftest.err)
    1514115339   ac_status=$?
    1514215340   cat out/conftest.err >&5
    15143    echo "$as_me:15143: \$? = $ac_status" >&5
     15341   echo "$as_me:15341: \$? = $ac_status" >&5
    1514415342   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1514515343   then
     
    1734417542   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1734517543   -e 's:$: $lt_compiler_flag:'`
    17346    (eval echo "\"\$as_me:17346: $lt_compile\"" >&5)
     17544   (eval echo "\"\$as_me:17544: $lt_compile\"" >&5)
    1734717545   (eval "$lt_compile" 2>conftest.err)
    1734817546   ac_status=$?
    1734917547   cat conftest.err >&5
    17350    echo "$as_me:17350: \$? = $ac_status" >&5
     17548   echo "$as_me:17548: \$? = $ac_status" >&5
    1735117549   if (exit $ac_status) && test -s "$ac_outfile"; then
    1735217550     # The compiler can only warn and ignore the option if not recognized
     
    1761217810   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1761317811   -e 's:$: $lt_compiler_flag:'`
    17614    (eval echo "\"\$as_me:17614: $lt_compile\"" >&5)
     17812   (eval echo "\"\$as_me:17812: $lt_compile\"" >&5)
    1761517813   (eval "$lt_compile" 2>conftest.err)
    1761617814   ac_status=$?
    1761717815   cat conftest.err >&5
    17618    echo "$as_me:17618: \$? = $ac_status" >&5
     17816   echo "$as_me:17816: \$? = $ac_status" >&5
    1761917817   if (exit $ac_status) && test -s "$ac_outfile"; then
    1762017818     # The compiler can only warn and ignore the option if not recognized
     
    1771617914   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1771717915   -e 's:$: $lt_compiler_flag:'`
    17718    (eval echo "\"\$as_me:17718: $lt_compile\"" >&5)
     17916   (eval echo "\"\$as_me:17916: $lt_compile\"" >&5)
    1771917917   (eval "$lt_compile" 2>out/conftest.err)
    1772017918   ac_status=$?
    1772117919   cat out/conftest.err >&5
    17722    echo "$as_me:17722: \$? = $ac_status" >&5
     17920   echo "$as_me:17920: \$? = $ac_status" >&5
    1772317921   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1772417922   then
     
    2063520833  use_pkgconfig="$enableval"
    2063620834else
    20637   use_pkgconfig=yes
     20835  if test x$coin_cc_is_cl = xtrue; then
     20836     use_pkgconfig=no
     20837   else
     20838     use_pkgconfig=yes
     20839   fi
    2063820840fi;
    2063920841
     
    2064520847echo "$as_me:$LINENO: checking for $ac_word" >&5
    2064620848echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    20647 if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
     20849if test "${ac_cv_prog_PKG_CONFIG+set}" = set; then
    2064820850  echo $ECHO_N "(cached) $ECHO_C" >&6
    2064920851else
    20650   case $PKG_CONFIG in
    20651   [\\/]* | ?:[\\/]*)
    20652   ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
    20653   ;;
    20654   *)
    20655   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20852  if test -n "$PKG_CONFIG"; then
     20853  ac_cv_prog_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test.
     20854else
     20855as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2065620856for as_dir in $PATH
    2065720857do
     
    2066020860  for ac_exec_ext in '' $ac_executable_extensions; do
    2066120861  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    20662     ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20862    ac_cv_prog_PKG_CONFIG="${ac_tool_prefix}pkg-config"
    2066320863    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2066420864    break 2
     
    2066720867done
    2066820868
    20669   ;;
    20670 esac
    20671 fi
    20672 PKG_CONFIG=$ac_cv_path_PKG_CONFIG
    20673 
     20869fi
     20870fi
     20871PKG_CONFIG=$ac_cv_prog_PKG_CONFIG
    2067420872if test -n "$PKG_CONFIG"; then
    2067520873  echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
     
    2068120879
    2068220880fi
    20683 if test -z "$ac_cv_path_PKG_CONFIG"; then
    20684   ac_pt_PKG_CONFIG=$PKG_CONFIG
     20881if test -z "$ac_cv_prog_PKG_CONFIG"; then
     20882  ac_ct_PKG_CONFIG=$PKG_CONFIG
    2068520883  # Extract the first word of "pkg-config", so it can be a program name with args.
    2068620884set dummy pkg-config; ac_word=$2
    2068720885echo "$as_me:$LINENO: checking for $ac_word" >&5
    2068820886echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    20689 if test "${ac_cv_path_ac_pt_PKG_CONFIG+set}" = set; then
     20887if test "${ac_cv_prog_ac_ct_PKG_CONFIG+set}" = set; then
    2069020888  echo $ECHO_N "(cached) $ECHO_C" >&6
    2069120889else
    20692   case $ac_pt_PKG_CONFIG in
    20693   [\\/]* | ?:[\\/]*)
    20694   ac_cv_path_ac_pt_PKG_CONFIG="$ac_pt_PKG_CONFIG" # Let the user override the test with a path.
    20695   ;;
    20696   *)
    20697   as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
     20890  if test -n "$ac_ct_PKG_CONFIG"; then
     20891  ac_cv_prog_ac_ct_PKG_CONFIG="$ac_ct_PKG_CONFIG" # Let the user override the test.
     20892else
     20893as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    2069820894for as_dir in $PATH
    2069920895do
     
    2070220898  for ac_exec_ext in '' $ac_executable_extensions; do
    2070320899  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    20704     ac_cv_path_ac_pt_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
     20900    ac_cv_prog_ac_ct_PKG_CONFIG="pkg-config"
    2070520901    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    2070620902    break 2
     
    2070920905done
    2071020906
    20711   ;;
    20712 esac
    20713 fi
    20714 ac_pt_PKG_CONFIG=$ac_cv_path_ac_pt_PKG_CONFIG
    20715 
    20716 if test -n "$ac_pt_PKG_CONFIG"; then
    20717   echo "$as_me:$LINENO: result: $ac_pt_PKG_CONFIG" >&5
    20718 echo "${ECHO_T}$ac_pt_PKG_CONFIG" >&6
     20907fi
     20908fi
     20909ac_ct_PKG_CONFIG=$ac_cv_prog_ac_ct_PKG_CONFIG
     20910if test -n "$ac_ct_PKG_CONFIG"; then
     20911  echo "$as_me:$LINENO: result: $ac_ct_PKG_CONFIG" >&5
     20912echo "${ECHO_T}$ac_ct_PKG_CONFIG" >&6
    2071920913else
    2072020914  echo "$as_me:$LINENO: result: no" >&5
     
    2072220916fi
    2072320917
    20724   PKG_CONFIG=$ac_pt_PKG_CONFIG
    20725 else
    20726   PKG_CONFIG="$ac_cv_path_PKG_CONFIG"
     20918  PKG_CONFIG=$ac_ct_PKG_CONFIG
     20919else
     20920  PKG_CONFIG="$ac_cv_prog_PKG_CONFIG"
    2072720921fi
    2072820922
     
    2073220926    echo "$as_me:$LINENO: checking pkg-config is at least version $_pkg_min_version" >&5
    2073320927echo $ECHO_N "checking pkg-config is at least version $_pkg_min_version... $ECHO_C" >&6
    20734     if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_min_version; then
     20928    if "$PKG_CONFIG" --atleast-pkgconfig-version $_pkg_min_version; then
    2073520929      echo "$as_me:$LINENO: result: yes" >&5
    2073620930echo "${ECHO_T}yes" >&6
     
    2074420938  # check if pkg-config supports the short-errors flag
    2074520939  if test -n "$PKG_CONFIG" && \
    20746     $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
     20940    "$PKG_CONFIG" --atleast-pkgconfig-version 0.20; then
    2074720941    pkg_short_errors=" --short-errors "
    2074820942  else
     
    2095821152
    2095921153if test -n "$PKG_CONFIG" ; then
    20960   if $PKG_CONFIG --exists "coinutils"; then
    20961     COINUTILS_VERSIONS=`$PKG_CONFIG --modversion "coinutils" 2>/dev/null | tr '\n' ' '`
    20962      cflags=`$PKG_CONFIG --cflags "coinutils" 2>/dev/null`
     21154  if "$PKG_CONFIG" --exists "coinutils"; then
     21155    COINUTILS_VERSIONS=`"$PKG_CONFIG" --modversion "coinutils" 2>/dev/null | tr '\n' ' '`
     21156     cflags=`"$PKG_CONFIG" --cflags "coinutils" 2>/dev/null`
    2096321157    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2096421158        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2096921163    fi
    2097021164    COINUTILS_CFLAGS="$cflags"
    20971     COINUTILS_LIBS=`$PKG_CONFIG --libs "coinutils" 2>/dev/null`
    20972     COINUTILS_DATA=`$PKG_CONFIG --variable=datadir "coinutils" 2>/dev/null`
     21165    COINUTILS_LIBS=`"$PKG_CONFIG" --libs "coinutils" 2>/dev/null`
     21166    COINUTILS_DATA=`"$PKG_CONFIG" --variable=datadir "coinutils" 2>/dev/null`
    2097321167     coin_has_coinutils=yes
    2097421168        echo "$as_me:$LINENO: result: yes: $COINUTILS_VERSIONS" >&5
     
    2099221186
    2099321187  else
    20994     COINUTILS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinutils"`
     21188    COINUTILS_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coinutils"`
    2099521189      coin_has_coinutils=notGiven
    2099621190        echo "$as_me:$LINENO: result: not given: $COINUTILS_PKG_ERRORS" >&5
     
    2103821232allpcfiles=""
    2103921233allpcifiles=""
     21234echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     21235echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2104021236while test "x$projtoprocess" != x ; do
    2104121237
     
    2147421670
    2147521671if test -n "$PKG_CONFIG" ; then
    21476   if $PKG_CONFIG --exists "osi"; then
    21477     OSI_VERSIONS=`$PKG_CONFIG --modversion "osi" 2>/dev/null | tr '\n' ' '`
    21478      cflags=`$PKG_CONFIG --cflags "osi" 2>/dev/null`
     21672  if "$PKG_CONFIG" --exists "osi"; then
     21673    OSI_VERSIONS=`"$PKG_CONFIG" --modversion "osi" 2>/dev/null | tr '\n' ' '`
     21674     cflags=`"$PKG_CONFIG" --cflags "osi" 2>/dev/null`
    2147921675    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2148021676        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2148521681    fi
    2148621682    OSI_CFLAGS="$cflags"
    21487     OSI_LIBS=`$PKG_CONFIG --libs "osi" 2>/dev/null`
    21488     OSI_DATA=`$PKG_CONFIG --variable=datadir "osi" 2>/dev/null`
     21683    OSI_LIBS=`"$PKG_CONFIG" --libs "osi" 2>/dev/null`
     21684    OSI_DATA=`"$PKG_CONFIG" --variable=datadir "osi" 2>/dev/null`
    2148921685     coin_has_osi=yes
    2149021686        echo "$as_me:$LINENO: result: yes: $OSI_VERSIONS" >&5
     
    2150821704
    2150921705  else
    21510     OSI_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi"`
     21706    OSI_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi"`
    2151121707      coin_has_osi=notGiven
    2151221708        echo "$as_me:$LINENO: result: not given: $OSI_PKG_ERRORS" >&5
     
    2155421750allpcfiles=""
    2155521751allpcifiles=""
     21752echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     21753echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2155621754while test "x$projtoprocess" != x ; do
    2155721755
     
    2197422172
    2197522173if test -n "$PKG_CONFIG" ; then
    21976   if $PKG_CONFIG --exists "osi-unittests"; then
    21977     OSITESTS_VERSIONS=`$PKG_CONFIG --modversion "osi-unittests" 2>/dev/null | tr '\n' ' '`
    21978      cflags=`$PKG_CONFIG --cflags "osi-unittests" 2>/dev/null`
     22174  if "$PKG_CONFIG" --exists "osi-unittests"; then
     22175    OSITESTS_VERSIONS=`"$PKG_CONFIG" --modversion "osi-unittests" 2>/dev/null | tr '\n' ' '`
     22176     cflags=`"$PKG_CONFIG" --cflags "osi-unittests" 2>/dev/null`
    2197922177    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2198022178        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2198522183    fi
    2198622184    OSITESTS_CFLAGS="$cflags"
    21987     OSITESTS_LIBS=`$PKG_CONFIG --libs "osi-unittests" 2>/dev/null`
    21988     OSITESTS_DATA=`$PKG_CONFIG --variable=datadir "osi-unittests" 2>/dev/null`
     22185    OSITESTS_LIBS=`"$PKG_CONFIG" --libs "osi-unittests" 2>/dev/null`
     22186    OSITESTS_DATA=`"$PKG_CONFIG" --variable=datadir "osi-unittests" 2>/dev/null`
    2198922187     coin_has_ositests=yes
    2199022188        echo "$as_me:$LINENO: result: yes: $OSITESTS_VERSIONS" >&5
     
    2200422202
    2200522203  else
    22006     OSITESTS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "osi-unittests"`
     22204    OSITESTS_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "osi-unittests"`
    2200722205      coin_has_ositests=notGiven
    2200822206        echo "$as_me:$LINENO: result: not given: $OSITESTS_PKG_ERRORS" >&5
     
    2205022248allpcfiles=""
    2205122249allpcifiles=""
     22250echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     22251echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2205222252while test "x$projtoprocess" != x ; do
    2205322253
     
    2245522655
    2245622656if test -n "$PKG_CONFIG" ; then
    22457   if $PKG_CONFIG --exists "coindatasample"; then
    22458     SAMPLE_VERSIONS=`$PKG_CONFIG --modversion "coindatasample" 2>/dev/null | tr '\n' ' '`
    22459      cflags=`$PKG_CONFIG --cflags "coindatasample" 2>/dev/null`
     22657  if "$PKG_CONFIG" --exists "coindatasample"; then
     22658    SAMPLE_VERSIONS=`"$PKG_CONFIG" --modversion "coindatasample" 2>/dev/null | tr '\n' ' '`
     22659     cflags=`"$PKG_CONFIG" --cflags "coindatasample" 2>/dev/null`
    2246022660    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2246122661        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2246622666    fi
    2246722667    SAMPLE_CFLAGS="$cflags"
    22468     SAMPLE_LIBS=`$PKG_CONFIG --libs "coindatasample" 2>/dev/null`
    22469     SAMPLE_DATA=`$PKG_CONFIG --variable=datadir "coindatasample" 2>/dev/null`
     22668    SAMPLE_LIBS=`"$PKG_CONFIG" --libs "coindatasample" 2>/dev/null`
     22669    SAMPLE_DATA=`"$PKG_CONFIG" --variable=datadir "coindatasample" 2>/dev/null`
    2247022670     coin_has_sample=yes
    2247122671        echo "$as_me:$LINENO: result: yes: $SAMPLE_VERSIONS" >&5
     
    2248522685
    2248622686  else
    22487     SAMPLE_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coindatasample"`
     22687    SAMPLE_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coindatasample"`
    2248822688      coin_has_sample=notGiven
    2248922689        echo "$as_me:$LINENO: result: not given: $SAMPLE_PKG_ERRORS" >&5
     
    2253122731allpcfiles=""
    2253222732allpcifiles=""
     22733echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     22734echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2253322735while test "x$projtoprocess" != x ; do
    2253422736
     
    2293623138
    2293723139if test -n "$PKG_CONFIG" ; then
    22938   if $PKG_CONFIG --exists "coindatanetlib"; then
    22939     NETLIB_VERSIONS=`$PKG_CONFIG --modversion "coindatanetlib" 2>/dev/null | tr '\n' ' '`
    22940      cflags=`$PKG_CONFIG --cflags "coindatanetlib" 2>/dev/null`
     23140  if "$PKG_CONFIG" --exists "coindatanetlib"; then
     23141    NETLIB_VERSIONS=`"$PKG_CONFIG" --modversion "coindatanetlib" 2>/dev/null | tr '\n' ' '`
     23142     cflags=`"$PKG_CONFIG" --cflags "coindatanetlib" 2>/dev/null`
    2294123143    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2294223144        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2294723149    fi
    2294823150    NETLIB_CFLAGS="$cflags"
    22949     NETLIB_LIBS=`$PKG_CONFIG --libs "coindatanetlib" 2>/dev/null`
    22950     NETLIB_DATA=`$PKG_CONFIG --variable=datadir "coindatanetlib" 2>/dev/null`
     23151    NETLIB_LIBS=`"$PKG_CONFIG" --libs "coindatanetlib" 2>/dev/null`
     23152    NETLIB_DATA=`"$PKG_CONFIG" --variable=datadir "coindatanetlib" 2>/dev/null`
    2295123153     coin_has_netlib=yes
    2295223154        echo "$as_me:$LINENO: result: yes: $NETLIB_VERSIONS" >&5
     
    2296623168
    2296723169  else
    22968     NETLIB_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coindatanetlib"`
     23170    NETLIB_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coindatanetlib"`
    2296923171      coin_has_netlib=notGiven
    2297023172        echo "$as_me:$LINENO: result: not given: $NETLIB_PKG_ERRORS" >&5
     
    2301223214allpcfiles=""
    2301323215allpcifiles=""
     23216echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     23217echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2301423218while test "x$projtoprocess" != x ; do
    2301523219
     
    2386224066
    2386324067if test -n "$PKG_CONFIG" ; then
    23864   if $PKG_CONFIG --exists "coinglpk"; then
    23865     GLPK_VERSIONS=`$PKG_CONFIG --modversion "coinglpk" 2>/dev/null | tr '\n' ' '`
    23866      cflags=`$PKG_CONFIG --cflags "coinglpk" 2>/dev/null`
     24068  if "$PKG_CONFIG" --exists "coinglpk"; then
     24069    GLPK_VERSIONS=`"$PKG_CONFIG" --modversion "coinglpk" 2>/dev/null | tr '\n' ' '`
     24070     cflags=`"$PKG_CONFIG" --cflags "coinglpk" 2>/dev/null`
    2386724071    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2386824072        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2387324077    fi
    2387424078    GLPK_CFLAGS="$cflags"
    23875     GLPK_LIBS=`$PKG_CONFIG --libs "coinglpk" 2>/dev/null`
    23876     GLPK_DATA=`$PKG_CONFIG --variable=datadir "coinglpk" 2>/dev/null`
     24079    GLPK_LIBS=`"$PKG_CONFIG" --libs "coinglpk" 2>/dev/null`
     24080    GLPK_DATA=`"$PKG_CONFIG" --variable=datadir "coinglpk" 2>/dev/null`
    2387724081     coin_has_glpk=yes
    2387824082        echo "$as_me:$LINENO: result: yes: $GLPK_VERSIONS" >&5
     
    2389624100
    2389724101  else
    23898     GLPK_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinglpk"`
     24102    GLPK_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coinglpk"`
    2389924103      coin_has_glpk=notGiven
    2390024104        echo "$as_me:$LINENO: result: not given: $GLPK_PKG_ERRORS" >&5
     
    2394224146allpcfiles=""
    2394324147allpcifiles=""
     24148echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     24149echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2394424150while test "x$projtoprocess" != x ; do
    2394524151
     
    2439724603
    2439824604if test -n "$PKG_CONFIG" ; then
    24399   if $PKG_CONFIG --exists "coinmumps"; then
    24400     MUMPS_VERSIONS=`$PKG_CONFIG --modversion "coinmumps" 2>/dev/null | tr '\n' ' '`
    24401      cflags=`$PKG_CONFIG --cflags "coinmumps" 2>/dev/null`
     24605  if "$PKG_CONFIG" --exists "coinmumps"; then
     24606    MUMPS_VERSIONS=`"$PKG_CONFIG" --modversion "coinmumps" 2>/dev/null | tr '\n' ' '`
     24607     cflags=`"$PKG_CONFIG" --cflags "coinmumps" 2>/dev/null`
    2440224608    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2440324609        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2440824614    fi
    2440924615    MUMPS_CFLAGS="$cflags"
    24410     MUMPS_LIBS=`$PKG_CONFIG --libs "coinmumps" 2>/dev/null`
    24411     MUMPS_DATA=`$PKG_CONFIG --variable=datadir "coinmumps" 2>/dev/null`
     24616    MUMPS_LIBS=`"$PKG_CONFIG" --libs "coinmumps" 2>/dev/null`
     24617    MUMPS_DATA=`"$PKG_CONFIG" --variable=datadir "coinmumps" 2>/dev/null`
    2441224618     coin_has_mumps=yes
    2441324619        echo "$as_me:$LINENO: result: yes: $MUMPS_VERSIONS" >&5
     
    2443124637
    2443224638  else
    24433     MUMPS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinmumps"`
     24639    MUMPS_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coinmumps"`
    2443424640      coin_has_mumps=notGiven
    2443524641        echo "$as_me:$LINENO: result: not given: $MUMPS_PKG_ERRORS" >&5
     
    2447724683allpcfiles=""
    2447824684allpcifiles=""
     24685echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     24686echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2447924687while test "x$projtoprocess" != x ; do
    2448024688
     
    2480925017
    2481025018
     25019
    2481125020ac_ext=f
    2481225021ac_compile='$F77 -c $FFLAGS conftest.$ac_ext >&5'
     
    2501825227
    2501925228# Provide some information about the compiler.
    25020 echo "$as_me:25020:" \
     25229echo "$as_me:25229:" \
    2502125230     "checking for Fortran 77 compiler version" >&5
    2502225231ac_compiler=`set X $ac_compile; echo $2`
     
    2523325442        case $F77 in
    2523425443          ifort* | */ifort* | IFORT* | */IFORT* )
    25235             coin_opt_fflags='-MT -O3'
     25444            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     25445              coin_opt_fflags='-MD -O3'
     25446              coin_dbg_fflags='-MDd -debug'
     25447            else
     25448              coin_opt_fflags='-MT -O3'
     25449              coin_dbg_fflags='-MTd -debug'
     25450            fi
    2523625451            coin_add_fflags='-fpp -nologo'
    25237             coin_dbg_fflags='-MTd -debug'
    2523825452          ;;
    2523925453          compile_f2c*)
    25240             coin_opt_fflags='-MT -O2'
     25454            if test "$coin_disable_shared" = yes || test "$enable_shared" = yes ; then
     25455              coin_opt_fflags='-MD -O2'
     25456              coin_dbg_fflags='-MDd'
     25457            else
     25458              coin_opt_fflags='-MT -O2'
     25459              coin_dbg_fflags='-MTd'
     25460            fi
    2524125461            coin_add_fflags='-nologo -wd4996'
    25242             coin_dbg_fflags='-MTd'
    2524325462          ;;
    2524425463        esac
     
    2538525604    FFLAGS="$OPT_FFLAGS"
    2538625605  fi
     25606
    2538725607else
    2538825608  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    2552725747esac
    2552825748
     25749# check whether to add flag for static linking against standard libraries to LDFLAGS
     25750if test x$use_static_standardlibs != xno ; then
     25751  case $build in
     25752    *-mingw*)
     25753      static_standardlib_flag=-static
     25754      ;;
     25755    *)
     25756      static_standardlib_flag=-static-libgfortran
     25757      ;;
     25758  esac
     25759  case " $LDFLAGS " in
     25760    *" $static_standardlib_flag "* ) ;;
     25761    *)
     25762    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     25763echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     25764    coin_save_LDFLAGS="$LDFLAGS"
     25765    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     25766    cat >conftest.$ac_ext <<_ACEOF
     25767      program main
     25768      integer i
     25769      end
     25770_ACEOF
     25771rm -f conftest.$ac_objext conftest$ac_exeext
     25772if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     25773  (eval $ac_link) 2>conftest.er1
     25774  ac_status=$?
     25775  grep -v '^ *+' conftest.er1 >conftest.err
     25776  rm -f conftest.er1
     25777  cat conftest.err >&5
     25778  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25779  (exit $ac_status); } &&
     25780         { ac_try='test -z "$ac_f77_werror_flag"
     25781                         || test ! -s conftest.err'
     25782  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25783  (eval $ac_try) 2>&5
     25784  ac_status=$?
     25785  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25786  (exit $ac_status); }; } &&
     25787         { ac_try='test -s conftest$ac_exeext'
     25788  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     25789  (eval $ac_try) 2>&5
     25790  ac_status=$?
     25791  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     25792  (exit $ac_status); }; }; then
     25793  echo "$as_me:$LINENO: result: yes" >&5
     25794echo "${ECHO_T}yes" >&6
     25795else
     25796  echo "$as_me: failed program was:" >&5
     25797sed 's/^/| /' conftest.$ac_ext >&5
     25798
     25799echo "$as_me:$LINENO: result: no" >&5
     25800echo "${ECHO_T}no" >&6
     25801       LDFLAGS="$coin_save_LDFLAGS"
     25802       if test $use_static_standardlibs = yes ; then
     25803         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     25804echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     25805   { (exit 1); exit 1; }; }
     25806       fi
     25807
     25808fi
     25809rm -f conftest.err conftest.$ac_objext \
     25810      conftest$ac_exeext conftest.$ac_ext
     25811    ;;
     25812  esac
     25813fi
     25814
    2552925815ac_ext=c
    2553025816ac_cpp='$CPP $CPPFLAGS'
     
    2558725873ac_save_FFLAGS=$FFLAGS
    2558825874FFLAGS="$FFLAGS $ac_verb"
    25589 (eval echo $as_me:25589: \"$ac_link\") >&5
     25875(eval echo $as_me:25875: \"$ac_link\") >&5
    2559025876ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2559125877echo "$ac_f77_v_output" >&5
     
    2566525951ac_save_FFLAGS=$FFLAGS
    2566625952FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25667 (eval echo $as_me:25667: \"$ac_link\") >&5
     25953(eval echo $as_me:25953: \"$ac_link\") >&5
    2566825954ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2566925955echo "$ac_f77_v_output" >&5
     
    2935629642
    2935729643if test -n "$PKG_CONFIG" ; then
    29358   if $PKG_CONFIG --exists "coinblas"; then
    29359     BLAS_VERSIONS=`$PKG_CONFIG --modversion "coinblas" 2>/dev/null | tr '\n' ' '`
    29360      cflags=`$PKG_CONFIG --cflags "coinblas" 2>/dev/null`
     29644  if "$PKG_CONFIG" --exists "coinblas"; then
     29645    BLAS_VERSIONS=`"$PKG_CONFIG" --modversion "coinblas" 2>/dev/null | tr '\n' ' '`
     29646     cflags=`"$PKG_CONFIG" --cflags "coinblas" 2>/dev/null`
    2936129647    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    2936229648        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    2936729653    fi
    2936829654    BLAS_CFLAGS="$cflags"
    29369     BLAS_LIBS=`$PKG_CONFIG --libs "coinblas" 2>/dev/null`
    29370     BLAS_DATA=`$PKG_CONFIG --variable=datadir "coinblas" 2>/dev/null`
     29655    BLAS_LIBS=`"$PKG_CONFIG" --libs "coinblas" 2>/dev/null`
     29656    BLAS_DATA=`"$PKG_CONFIG" --variable=datadir "coinblas" 2>/dev/null`
    2937129657     coin_has_blas=yes
    2937229658        echo "$as_me:$LINENO: result: yes: $BLAS_VERSIONS" >&5
     
    2939029676
    2939129677  else
    29392     BLAS_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinblas"`
     29678    BLAS_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coinblas"`
    2939329679      coin_has_blas=notGiven
    2939429680        echo "$as_me:$LINENO: result: not given: $BLAS_PKG_ERRORS" >&5
     
    2943629722allpcfiles=""
    2943729723allpcifiles=""
     29724echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     29725echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    2943829726while test "x$projtoprocess" != x ; do
    2943929727
     
    3001430302
    3001530303if test -n "$PKG_CONFIG" ; then
    30016   if $PKG_CONFIG --exists "coinasl"; then
    30017     ASL_VERSIONS=`$PKG_CONFIG --modversion "coinasl" 2>/dev/null | tr '\n' ' '`
    30018      cflags=`$PKG_CONFIG --cflags "coinasl" 2>/dev/null`
     30304  if "$PKG_CONFIG" --exists "coinasl"; then
     30305    ASL_VERSIONS=`"$PKG_CONFIG" --modversion "coinasl" 2>/dev/null | tr '\n' ' '`
     30306     cflags=`"$PKG_CONFIG" --cflags "coinasl" 2>/dev/null`
    3001930307    # pkg-config cannot handle spaces, so CYGPATH_W cannot be put into .pc files
    3002030308        # thus, we modify the cflags extracted from pkg-config by putting CYGPATH_W behind -I's
     
    3002530313    fi
    3002630314    ASL_CFLAGS="$cflags"
    30027     ASL_LIBS=`$PKG_CONFIG --libs "coinasl" 2>/dev/null`
    30028     ASL_DATA=`$PKG_CONFIG --variable=datadir "coinasl" 2>/dev/null`
     30315    ASL_LIBS=`"$PKG_CONFIG" --libs "coinasl" 2>/dev/null`
     30316    ASL_DATA=`"$PKG_CONFIG" --variable=datadir "coinasl" 2>/dev/null`
    3002930317     coin_has_asl=yes
    3003030318        echo "$as_me:$LINENO: result: yes: $ASL_VERSIONS" >&5
     
    3004830336
    3004930337  else
    30050     ASL_PKG_ERRORS=`$PKG_CONFIG $pkg_short_errors --errors-to-stdout --print-errors "coinasl"`
     30338    ASL_PKG_ERRORS=`"$PKG_CONFIG" $pkg_short_errors --errors-to-stdout --print-errors "coinasl"`
    3005130339      coin_has_asl=notGiven
    3005230340        echo "$as_me:$LINENO: result: not given: $ASL_PKG_ERRORS" >&5
     
    3009430382allpcfiles=""
    3009530383allpcifiles=""
     30384echo "$as_me:$LINENO: checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects" >&5
     30385echo $ECHO_N "checking in directories $COIN_PKG_CONFIG_PATH_UNINSTALLED for projects... $ECHO_C" >&6
    3009630386while test "x$projtoprocess" != x ; do
    3009730387
     
    3301833308s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
    3301933309s,@PKG_CONFIG@,$PKG_CONFIG,;t t
    33020 s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
     33310s,@ac_ct_PKG_CONFIG@,$ac_ct_PKG_CONFIG,;t t
    3302133311s,@COIN_HAS_PKGCONFIG_TRUE@,$COIN_HAS_PKGCONFIG_TRUE,;t t
    3302233312s,@COIN_HAS_PKGCONFIG_FALSE@,$COIN_HAS_PKGCONFIG_FALSE,;t t
  • trunk/Clp/src/Makefile.am

    r1946 r1965  
    263263includecoin_HEADERS += CbcOrClpParam.cpp
    264264
     265########################################################################
     266#                     Installing manifest (MSVC++)                     #
     267########################################################################
     268
     269install-exec-hook:
     270        test -s clp.exe.manifest && \
     271        mt -manifest clp.exe.manifest -outputresource:clp.exe;\
     272        cp clp.exe $(bindir)/clp.exe
     273
     274#######################################################################
     275# Create the Config.h file that has all public defines and install it #
     276#######################################################################
     277
    265278install-exec-local:
    266279        $(install_sh_DATA) config_clp.h $(DESTDIR)$(includecoindir)/ClpConfig.h
  • trunk/Clp/src/Makefile.in

    r1946 r1965  
    520520ac_ct_CXX = @ac_ct_CXX@
    521521ac_ct_F77 = @ac_ct_F77@
     522ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    522523ac_ct_RANLIB = @ac_ct_RANLIB@
    523524ac_ct_STRIP = @ac_ct_STRIP@
    524525ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    525 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    526526am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    527527am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
     
    11821182install-exec-am: install-binPROGRAMS install-exec-local \
    11831183        install-libLTLIBRARIES
     1184        @$(NORMAL_INSTALL)
     1185        $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
    11841186
    11851187install-info: install-info-recursive
     
    12191221        dvi dvi-am html html-am info info-am install install-am \
    12201222        install-binPROGRAMS install-data install-data-am install-exec \
    1221         install-exec-am install-exec-local install-includecoinHEADERS \
    1222         install-info install-info-am install-libLTLIBRARIES \
    1223         install-man install-strip installcheck installcheck-am \
    1224         installdirs installdirs-am maintainer-clean \
     1223        install-exec-am install-exec-hook install-exec-local \
     1224        install-includecoinHEADERS install-info install-info-am \
     1225        install-libLTLIBRARIES install-man install-strip installcheck \
     1226        installcheck-am installdirs installdirs-am maintainer-clean \
    12251227        maintainer-clean-generic maintainer-clean-recursive \
    12261228        mostlyclean mostlyclean-compile mostlyclean-generic \
     
    12311233
    12321234
     1235########################################################################
     1236#                     Installing manifest (MSVC++)                     #
     1237########################################################################
     1238
     1239install-exec-hook:
     1240        test -s clp.exe.manifest && \
     1241        mt -manifest clp.exe.manifest -outputresource:clp.exe;\
     1242        cp clp.exe $(bindir)/clp.exe
     1243
     1244#######################################################################
     1245# Create the Config.h file that has all public defines and install it #
     1246#######################################################################
     1247
    12331248install-exec-local:
    12341249        $(install_sh_DATA) config_clp.h $(DESTDIR)$(includecoindir)/ClpConfig.h
  • trunk/Clp/src/OsiClp/Makefile.in

    r1946 r1965  
    302302ac_ct_CXX = @ac_ct_CXX@
    303303ac_ct_F77 = @ac_ct_F77@
     304ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    304305ac_ct_RANLIB = @ac_ct_RANLIB@
    305306ac_ct_STRIP = @ac_ct_STRIP@
    306307ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    307 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    308308am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    309309am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
  • trunk/Clp/test/Makefile.in

    r1946 r1965  
    292292ac_ct_CXX = @ac_ct_CXX@
    293293ac_ct_F77 = @ac_ct_F77@
     294ac_ct_PKG_CONFIG = @ac_ct_PKG_CONFIG@
    294295ac_ct_RANLIB = @ac_ct_RANLIB@
    295296ac_ct_STRIP = @ac_ct_STRIP@
    296297ac_cxx_preproc_warn_flag = @ac_cxx_preproc_warn_flag@
    297 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
    298298am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    299299am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
Note: See TracChangeset for help on using the changeset viewer.